Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster
Interface LongRasterImage

All Known Implementing Classes:
  MemoryLongRasterImage

public abstract interface LongRasterImage

Long-based image representation.

Method Summary
`long` | `getPixel(int x, int y)` Get a pixel.
`void` | `getRectangle(int x, int y, int width, int height, long[] buffer, int offset, int scansize)` Get a rectangular area of pixel data.
`void` | `getRow(int y, long[] buffer, int offset)` Get a row of pixel data.
`void` | `setPixel(int x, int y, long value)` Set a pixel.
`void` | `setRectangle(int x, int y, int width, int height, long[] pixels, int offset, int scansize)` Set a rectangular area of pixel data.
`void` | `setRow(int y, long[] pixels, int offset)` Set a row of pixel data.

Method Detail

### setRectangle

    public void setRectangle(int x,
                             int y,
                             int width,
                             int height,
                             long[] pixels,
                             int offset,
                             int scansize)
                      throws ImageAccessException

  Set a rectangular area of pixel data.
  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `width` - rectangle width
    `height` - rectangle height
    `pixels` - pixel data
    `offset` - offset in pixels to start at
    `scansize` - length from the start of one row to the start of the next
  Throws:
    ImageAccessException - if an error prevents image from being accessed

### setRow

    public void setRow(int y,
                       long[] pixels,
                       int offset)
                throws ImageAccessException

  Set a row of pixel data.
  Parameters:
    `y` - y-coordinate
    `pixels` - pixel data
    `offset` - offset in pixels to start at
  Throws:
    ImageAccessException - if an error prevents image from being accessed

### setPixel

    public void setPixel(int x,
                         int y,
                         long value)
                  throws ImageAccessException

  Set a pixel.
  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `value` - pixel value
  Throws:
    ImageAccessException - if an error prevents image from being accessed

### getRectangle

    public void getRectangle(int x,
                             int y,
                             int width,
                             int height,
                             long[] buffer,
                             int offset,
                             int scansize)
                      throws ImageAccessException

  Get a rectangular area of pixel data.
  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `width` - rectangle width
    `height` - rectangle height
    `buffer` - buffer to copy pixel data into
    `offset` - offset in buffer to start copying to
    `scansize` - length from the start of one row to the start of the next in buffer
  Throws:
    ImageAccessException - if an error prevents image from being accessed

### getRow

    public void getRow(int y,
                       long[] buffer,
                       int offset)
                throws ImageAccessException

  Get a row of pixel data.
  Parameters:
    `y` - y-coordinate
    `buffer` - buffer to copy pixel data into
    `offset` - offset in buffer to start copying to
  Throws:
    ImageAccessException - if an error prevents image from being accessed

### getPixel

    public long getPixel(int x,
                         int y)
                  throws ImageAccessException

  Get a pixel.
  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
  Returns:
    the value of the pixel at (x, y)
  Throws:
    ImageAccessException - if an error prevents image from being accessed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD